@mixin trans($speed: $transit_duration) {
	transition: transform $speed $transit_type;
}

//trans-vis
@mixin trans-vis {
	transition: transform $transit_duration $transit_type, visibility $transit_duration $transit_type;
}

@mixin trans-vv{
	transition: visibility $transit_duration $transit_type;
}

@mixin vv-trans{
	transition: visibility $transit_duration $transit_type;
}

@mixin op-vv-trans($speed: $transit_duration) {
	transition: opacity $speed $transit_type, visibility $transit_duration $transit_type;
}

@mixin op-trans($speed: $transit_duration) {
	transition: opacity $speed $transit_type;
}

@mixin op-trans-trans($speed: $transit_duration, $type: $transit_type) {
	transition: opacity $speed $type, transform $speed $type;
}

@mixin op-bgc-trans($speed: $transit_duration) {
	transition: opacity $speed $transit_type, background-color $transit_duration $transit_type;
}

@mixin op-color-trans($speed: $transit_duration) {
	transition: opacity $speed $transit_type, color $speed $transit_type;
}

@mixin ts-trans {
	transition: text-shadow $transit_duration $transit_type;
}

@mixin bs-trans {
	transition: box-shadow $transit_duration $transit_type;
}

@mixin bs-bc-trans {
	transition: box-shadow $transit_duration $transit_type, border-color $transit_duration $transit_type;
}

@mixin bs-color-trans {
	transition: box-shadow $transit_duration $transit_type, color $transit_duration $transit_type;
}

@mixin bc-trans {
	transition: border-color $transit_duration $transit_type;
}

@mixin bb-trans {
	transition: border-color $transit_duration $transit_type;
}

@mixin bgc-trans {
	transition: background-color $transit_duration $transit_type;
}

@mixin bgc-trans-trans($speed: $transit_duration) {
	transition: background-color $transit_duration $transit_type, transform $speed $transit_type;
}

@mixin bgc-bc-trans {
	transition: background-color $transit_duration $transit_type, border-color $transit_duration $transit_type;
}

@mixin bgc-bc-color-trans {
	transition: background-color $transit_duration $transit_type, color $transit_duration $transit_type, border-color $transit_duration $transit_type;
}

@mixin bgc-op-trans {
	transition: background-color $transit_duration $transit_type, opacity $transit_duration $transit_type;
}

@mixin bgc-bs-trans {
	transition: background-color $transit_duration $transit_type, box-shadow $transit_duration $transit_type;
}

@mixin bgc-bs-color-trans {
	transition: background-color $transit_duration $transit_type, box-shadow $transit_duration $transit_type, color $transit_duration $transit_type;
}

@mixin bgc-bs-bc-color-trans {
	transition: background-color $transit_duration $transit_type, box-shadow $transit_duration $transit_type, color $transit_duration $transit_type, border-color $transit_duration $transit_type;
}

@mixin bgc-trans($speed: false) {
	@if $speed==fast {
		transition: background-color $transit_duration_fast $transit_type;
	}
	@else {
		transition: background-color $transit_duration $transit_type;
	}
}

@mixin bgc-color-trans($speed: false) {
	@if $speed==fast {
		transition: background-color $transit_duration_fast $transit_type, color $transit_duration_fast $transit_type;
	}
	@else {
		transition: background-color $transit_duration $transit_type, color $transit_duration $transit_type;
	}
}

@mixin color-trans($speed: false) {
	@if $speed==fast {
		transition: color $transit_duration_fast $transit_type;
	}
	@else {
		transition: color $transit_duration $transit_type;
	}
}

@mixin color-bc-trans($speed: false) {
	@if $speed==fast {
		transition: color $transit_duration_fast $transit_type, border-color $transit_duration_fast $transit_type;
	}
	@else {
		transition: color $transit_duration $transit_type, border-color $transit_duration $transit_type;
	}
}

@mixin bc-trans($speed: false) {
	@if $speed==fast {
		transition: border-color $transit_duration_fast $transit_type;
	}
	@else {
		transition: border-color $transit_duration $transit_type;
	}
}

@mixin bc-color-trans {
	transition: border-color $transit_duration $transit_type, color $transit_duration $transit_type;
}